{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block styles %}
{{super()}}
<!-- <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous"> -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
    dd, dl{margin-left: 0px; margin-top:5px;}
    div.breaking{padding:5px;}
    small.font-foourteen{font-size: 14px;}
    .frame_style{
      width: 100%;
      height:500px;
  }
  #back_button{
    background:lightgray; border-style: solid; border-color: rgb(192, 192, 192);
  }
  #back_button:hover {
    background:whitesmoke; border-style: solid; border-color: rgb(192, 192, 192);
  }


</style>
{% endblock %}

{% block app_content %}
    <span style="width:100%;">

    <div class="article-metadata">
        {% if post.author == current_user %}

        <div class="clearfix">
          <div class="pull-left">
              <a id="back_button" class="btn btn-default btn-sm mt-1 mb-1" href="{{ url_for('main.index')}}">Back</a>
              <a class="btn btn-primary btn-sm mt-1 mb-1" href="{{ url_for('main.update_post', post_id=post.id) }}">Edit</a>
              <!-- <button type="button" class="btn btn-danger btn-sm m-1" data-toggle="modal" data-target="#deleteModal">Delete</button> -->

              <button type="button" class="btn btn-danger btn-sm m-1" data-toggle="modal" data-target="#deleteModal">
                Delete
              </button>
          </div>

          <div class="pull-right">
            <a class="btn btn-success btn-sm mt-1 mb-1" href="{{ url_for('main.upload_file', post_id=post.id) }}">Add File</a>

          </div>
        </div>
        <div class="breaking"></div>
        {% endif %}
    
        <div class="clearfix">
            <div class="pull-left">
              <span class="dark">
                {% if (post.publication_date == None or post.publication_date == '') %} 
                {{""}}  
                {% else %} 
                {{post.publication_date.strftime('%B %d, %Y')}}
                {%endif%}
              </span>
            </div>

            <div class="pull-right">
                <span class="label label-default">{{ post.material_publication_type }}</span>
                {% set class_label = {"open": "success", "embargoed": "primary", "restricted": "danger"}[post.access_right] | default("default")  %}
                <span class="label label-{{class_label}}">{{ {"open": "Open Access", "embargoed": "Embargoed Access", "restricted": "Restricted Access"}[post.access_right] | default("Closed Access") }}
                </span>
            </div>
        </div>

    </div>

    <h3>{{post.title}}
      <p>
       <small class="font-foourteen">{{post.author_name}}</small>
      </p>
    </h3>
    
    <p>{{post.body}}</p>

   

  
    {%for m in attach_doc%}
    <div class="panel panel-default">
      <div class="panel-heading">Preview</div>
        <div class="panel-body">
          {% if current_user.is_authenticated %}
            {%if m._mimetype in ['image/jpeg', 'image/png', 'image/gif', 'image/svg']%}
            <img src="{{static_file_path_iframe + m.uri + '/' +  m.key}}" width="100%">
            {%elif m._mimetype=='application/pdf' %}
            <iframe class="frame_style" src="{{ url_for('main.show_pdfjs') }}?file={{static_file_path_iframe + m.uri + '/' +  m.key}}">
            </iframe> 
            {%else%}
            {{"No Attachedment or Valide File Format"}}
            {%endif%}
          {% else %}
            {{"Login to view the object."}}
          {% endif %}
        </div>
    </div>
    {%endfor%}

    
    <div class="panel panel-default">
      <div class="panel-heading">Files</div>
        <div class="panel-body">
          {% if current_user.is_authenticated %}
            <table class="table" style="width:100%">
              <th style="width:80%;">Files</th>
              <th>Size</th>
              {%for m in attach_doc%}
              <tr>
                <td >
                <h5>{{m.key}}</h5>
                <small>{{m.checksum}}</small>
                </td>
                <td>
                {{m.size}}
                </td>
              </tr>
              {%endfor%}
            </table>
          {% else %}
            {{"Login to view the object."}}
          {% endif %}
        </div>
    </div>
    


    <div class="panel panel-default">
        <div class="panel-heading">Physical Description</div>
        <div class="panel-body">{{post.physical_desc}}</div>
      </div>

      <div class="panel panel-default">
        <div class="panel-heading">Physical Extenstion Page</div>
        <div class="panel-body">{{post.physical_ext_page}}</div>
      </div>

      <div class="panel panel-default">
        <div class="panel-heading">Biography Note</div>
        <div class="panel-body">{{post.biography_note}}</div>
      </div>

      <div class="panel panel-default">
        <div class="panel-heading">Additional Notes</div>
        <div class="panel-body">{{post.additional_notes}}</div>
      </div>



      <div class="panel panel-default">
        <div class="panel-heading">
          <i class="fa fa-info-circle" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Our Top 10 recommendation similar to this Content"></i>
          Recommended Item based on Popularity Statistics
        </div>
        <div class="panel-body">
          {% if not post_content_recommended %}
          {{"No Recommended Yet"}}
          {%else%}
          <p>
            <div id="columnchart_material" style="width:100%; height: 300;"></div>
          </p>
          {%endif%}
        </div>
      </div>


      <div class="panel panel-default">
        <div class="panel-heading">
          <i class="fa fa-info-circle" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="This Word Recommendation in tree map is a word or phrase recommended which seems to relevant by its context and was based on our Content Recommendation System Algorithm."></i>
         Word Tree Map (Recommended keywords in this post)
        </div>
        <div class="panel-body">
          <div id="wordtree_basic" style="width: auto; height: auto;"></div>

        </div>
      </div>





    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="deleteModalLabel">Delete Post?</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            Are you sure you want to delete this item? Files related to this item will be also deleted.
          </div>
          <div class="modal-footer">

            <div class="pull-right">
                <form action="{{ url_for('main.delete_post', post_id=post.id) }}" method="POST">
                  <input class="btn btn-primary" type="submit" value="Save changes">
                </form>
            </div>

            <div class="pull-right" style="margin-right:5px;">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
            
          </div>
        </div>
      </div>
    </div>




{% endblock %}


{% block sidebar_content %}
<div class="col-md-4">
    <div class="content-section">

        <div class="panel panel-default"><!-- Stats -->
          <div class="panel-heading">
            <dt>
              <i class="fa fa-info-circle" data-toggle="tooltip" tooltip="" data-placement="left" title="" data-original-title="This chart represents the behavioral statistics in this post generated hourly and/or specified config time."></i>
            Statistics Preview
            </dt>
          </div>
          <div class="panel-body">

            {% if not data %} 
              {% if not post_record_stat %} 
            {{"No Statistics Yet"}}
              {%endif%}
              {{""}}
            {% else %}
            <div style="width: 340px; height:160px;">
              <div id="piechart_3d" style="width: auto;"></div>
            </div>
            {%endif%}
 
            
            <div class="row stats-box">
              <center>
              <div id="accordion">

                
                <!-- Banner -->
                <div class="row">
                  <div class="col-sm-6">

                    <h1>
                      <span class="stats-data">
                        {% if not post_record_stat.total_views %} 
                        {{"0"}}
                        {% else %}
                        {{post_record_stat.total_views}}
                        {%endif%}
                      </span>
                    </h1>
                    <i class="fa fa-eye" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Total views."></i> view
                  </div>
                  <div class="col-sm-6">
                    {% for post in plikes %}
                        
                    <h1>
                      <span class="stats-data">
                        {{ post.likes.count()}}
                      </span>
                    </h1>

                        {% if current_user.is_authenticated %}
                              {% if current_user.has_liked_post(post) %}
                                  <a style="color:steelblue; text-decoration:none;", href="{{ url_for('main.like_action', post_id=post.id, action='unlike') }}"><i class="fa fa-thumbs-up" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Unlike"></i> Like</a>
                              {% else %}
                                  <a style="color:gray; text-decoration:none; " href="{{ url_for('main.like_action', post_id=post.id, action='like') }}"><i class="fa fa-thumbs-o-up" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Like"></i> 
                                    Like</a>
                              {% endif %} 
                        {{ else }}
                        {{""}}

                        {%endif %}   

                        {% if not current_user.is_authenticated %}
                        <a style="color:steelblue; text-decoration:none;", href="{{ url_for('main.like_action', post_id=post.id, action='unlike') }}"><i class="fa fa-thumbs-up" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Unlike"></i> Like</a>
                        {% endif %}
                    {% endfor %}  
                  </div>

                </div>


                <div class="row">
                </div>

                
                
                <!-- <div class="col-sm-6">
                  <i class="fa fa-eye" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Total views."></i> views
                </div>
                <div class="col-sm-6">
                  <i class="fa fa-thumbs-up" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Total downloads."></i> likes
                </div> -->

                


                
                <!-- Collapsed details -->
                <div id="toggle-stats" class="row">
                  <div class="col-sm-12">
                    <a style="cursor: pointer;" class="panel-toggle" data-toggle="collapse" data-target="#collapse-stats" aria-expanded="true" aria-controls="collapse-stats">
                      See more details...
                    </a>
                  </div>
                </div>
                <div id="collapse-stats" class="collapse" aria-labelledby="toggle-stats" data-parent="#accordion">
                    <table class="table stats-table">
                      <!-- Skip table header if no versions -->
                      <tbody><tr>
                        <th></th>
                        <th>All versions</th>
                        <th>This version</th>
                      </tr><tr>
                        <td>Views <i class="fa fa-question-circle text-muted" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Total views."></i></td><td>{{post_record_stat.total_views}}</td><td>0</td>
                      </tr>
                      <tr>
                        <td>Likes <i class="fa fa-question-circle text-muted" data-toggle="tooltip" tooltip="" data-placement="top" title="" data-original-title="Total downloads."></i></td><td>
                          {% for post in plikes %}
                            {{ post.likes.count() }}
                          {%endfor%}
                        
                        </td><td>0</td>
                      </tr>
                      </tbody>
                    </table>

                    <div class="row">
                      <a href="https://sarai.ph/">More info on how stats are collected.</a>
                    </div>

                </div>
 
              </div>
              

              </center>


              

            </div>
            


          </div>
        </div>



        <div class="panel panel-default">
          <div class="panel-heading"><dt><i class="fa fa-info-circle" data-toggle="tooltip" tooltip="" data-placement="left" title="" data-original-title="The following publications are recommended due to their content which seems relevant to the context of this publication. They were selected using collaborative filtering and automatic topic modelling techniques and algorithms."></i>
            Recommended</dt>
          </div>
          <div class="panel-body">

            <dl>
              {%for c in post_content_recommended%}
              
              <dd>
                {% if current_user.is_authenticated %}
                <a href="/post/{{c.id}}" title="{{c.title}}">{{c.title}}</a>
                {% else %}
                <a href="/view/{{c.id}}" title="{{c.title}}">{{c.title}}</a>
                {% endif %}

                <div style="padding:0; float:left; width:100%">
                  {% if (c.body == None or c.body == '') %}
                  <p id="post{{ post.id }}" style="font-size:small; text-align: left; text-justify: inter-word; float:left; "> {{"No Descriptions"}}</p>
                  {% else %}
                  <p id="post{{ post.id }}" style="font-size:small; text-align: left; text-justify: inter-word; float:left; ">
                    {{ c.body[:54] + '...'}}
                  </p>
                  {% endif %}  
                  </div>
               
              </dd>
              {%endfor%}
            </dl>
          </div>
        </div>




        <div class="well metadata">
          <dl class="dl-horizontal">
            <dt>Publication date:</dt>
            <dd>
              {% if (post.publication_date == None or post.publication_date == '') %} 
              {{"N.D."}}  
              {% else %} 
              {{post.publication_date.strftime('%B %d, %Y')}}
              {%endif%}
            </dd>
  
            <dt>Keyword(s):</dt>
            <dd>
              <a class="label-link" href="/search?q={{post.keywords}}">
                <span class="label label-default">{{post.keywords}}</span>
              </a>
            </dd>
        
            <dt>Call Number:</dt>
            <dd>{{post.call_number}}</dd>
            <dt>Content Serial No:</dt>
            <dd>{{post.content_book_serial}}</dd>
            <dt>Circulation No:</dt>
            <dd>{{post.circulation_no}}</dd>
            <dt>Accession No:</dt>
            <dd>{{post.accession_no}}</dd>
            <dt>Catalog Source:</dt>
            <dd>{{post.catalog_source}}</dd>
            <dt>Version(s):</dt>
            <dd>{{post.bersyon}}</dd>
            <dt>Location:</dt>
            <dd>{{post.location}}</dd>
            <dt>Status:</dt>
            <dd>{{post.status}}</dd>
            <dt>Communities:</dt>
            <dd>
                {%for ct in post.community_type%}

                <span class="label label-default" style="padding:0.3em">{{ct.title()}}</span>
             
              {%endfor%}
            </dd>
 
          </dl>
          </div>


    </div>
</div>
{% endblock sidebar_content %}


{% block scripts %}


<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
{%if not tree_post_mapped %}
{{''}}
{%else%}
<script type="text/javascript">

  google.charts.load('current', {packages:['wordtree']});
  google.charts.setOnLoadCallback(drawChartTree);

 
  var tree_post_mapped  = JSON.parse('{{tree_post_mapped|tojson}}');
  function drawChartTree() {
    var data = google.visualization.arrayToDataTable(
     tree_post_mapped
    );

    var options = {
      wordtree: {
        format: 'implicit',
        colors: ['red', 'black', 'green']
        /*,word: 'rice' */
      }
    };

    var chart = new google.visualization.WordTree(document.getElementById('wordtree_basic'));
    chart.draw(data, options);
  }


</script>
{%endif%}


{%if not bb_pp_big %}
{{''}}
{%else%}
<script type="text/javascript">
  google.charts.load('current', {'packages':['bar']});
  google.charts.setOnLoadCallback(drawChart);

  var a_pp_big_array  = JSON.parse('{{bb_pp_big|tojson}}');
  function drawChart() {
    var data = google.visualization.arrayToDataTable(a_pp_big_array);

    var options = {
      chart: {

        title: 'Recommended Similar Items',
        subtitle: 'Popular Record',
        
        axes: {
          x: {
            0: { side: 'top', label: 'White to move'} // Top x-axis.
          }
        },
        bar: { groupWidth: "90%" }

        ,annotations: {
          boxStyle: {
            // Color of the box outline.
            stroke: '#888',
            // Thickness of the box outline.
            strokeWidth: 1,
            // x-radius of the corner curvature.
            rx: 10,
            // y-radius of the corner curvature.
            ry: 10,
            // Attributes for linear gradient fill.
            gradient: {
              // Start color for gradient.
              color1: '#fbf6a7',
              // Finish color for gradient.
              color2: '#33b679',
              // Where on the boundary to start and
              // end the color1/color2 gradient,
              // relative to the upper left corner
              // of the boundary.
              x1: '0%', y1: '0%',
              x2: '100%', y2: '100%',
              // If true, the boundary for x1,
              // y1, x2, and y2 is the box. If
              // false, it's the entire chart.
              useObjectBoundingBoxUnits: true
            }
          }
        }
      
      }
    };

    var chart = new google.charts.Bar(document.getElementById('columnchart_material'));

    chart.draw(data, google.charts.Bar.convertOptions(options));
  }

</script>
{%endif%}


{%if not data%}
{{''}}
{%else%}
<script type="text/javascript">
      google.charts.load("current", {packages:["corechart"]});
      google.charts.setOnLoadCallback(drawChart2);
      function drawChart2() {
        var data = google.visualization.arrayToDataTable([
			{% for key, value in data.items() %}
				{% if value is string %}
					['{{ key }}', '{{ value }}'],
				{% else %}
					['{{ key }}', {{ value }}],
				{% endif %}
			{% endfor %}
        ]);


        var options = {
          title: 'User\'s Activity Statistics',
          /*is3D: true,
          pieStartAngle: 100,*/
          pieHole: 0.5
        };

        var chart = new google.visualization.PieChart(document.getElementById('piechart_3d'));
        chart.draw(data, options);
      }
</script>
{%endif%}

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>


<script>
  $(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();   
  });
  </script>

{% endblock %}

